org.apache.ignite.internal.sql.optimizer.affinity

## Enum PartitionCompositeNodeOperator

- java.lang.Object
- - java.lang.Enum<PartitionCompositeNodeOperator>
  - - org.apache.ignite.internal.sql.optimizer.affinity.PartitionCompositeNodeOperator

All Implemented Interfaces:
  Serializable, Comparable<PartitionCompositeNodeOperator>

    public enum PartitionCompositeNodeOperator
    extends Enum<PartitionCompositeNodeOperator>

Composite node operator.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AND` Conjunction.
`OR` Disjunction.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable PartitionCompositeNodeOperator` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static PartitionCompositeNodeOperator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PartitionCompositeNodeOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AND

    public static final PartitionCompositeNodeOperator AND

Conjunction.

#### OR

    public static final PartitionCompositeNodeOperator OR

Disjunction.

### Method Detail

#### values

    public static PartitionCompositeNodeOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PartitionCompositeNodeOperator c : PartitionCompositeNodeOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PartitionCompositeNodeOperator valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable PartitionCompositeNodeOperator fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020